### Enumeration

# Fwupd ClientDownloadFlags

unstable since: 2.0

#### Declaration

    flags Fwupd.ClientDownloadFlags

#### Description [src]

The options to use for downloading.

Available since: 2.0

#### Members

`FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_CLIENT_DOWNLOAD_FLAG_ONLY_P2P`

  Only use peer-to-peer when downloading URIs.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0